Skip to content

List internal notes for an email thread

GET
/emails/{id}/internal-notes

Returns private team notes for the selected email thread. Internal notes are never included in outbound email content.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Responses

OK

application/json
JSON
{
  
"notes": [
  
  
{
  
  
  
"_id": "string",
  
  
  
"source_email": "string",
  
  
  
"project": "string",
  
  
  
"owner": "string",
  
  
  
"parent_note": "string",
  
  
  
"content": "string",
  
  
  
"text_content": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI